/' Iup Alarm: Example in C 
   Shows a dialog similar to the one shown when you exit a program without saving.
'/


#define NULL Cast(Any Ptr,0)

#include "crt/stdlib.bi"
#include "crt/stdio.bi"

/' IUP libraries include '/
#include "iup3/iup.bi"


/' Main program '/
Function main As Integer
	

  /' Initializes IUP '/
  IupOpen(NULL, NULL)

  /' Executes IupAlarm '/
  Select Case (IupAlarm ("IupAlarm Example", "File not saved! Save it now?", "Yes", "No", "Cancel"))
  
    /' Shows a message for each selected button '/
    case 1
      IupMessage ("Save file", "File saved successfully - leaving program")
    Case 2
      IupMessage ("Save file", "File not saved - leaving program anyway")
    case 3
      IupMessage ("Save file", "Operation canceled")    
  End Select
  
  /' Finishes IUP '/
  IupClose()


  /' Program finished successfully '/
  Return EXIT_SUCCESS
End Function

main