/' IupFill: Example in C 
   Uses the Fill element to horizontally centralize a button and to justify it to the left and right.
'/


#define NULL Cast(Any Ptr,0)

#include "crt/stdlib.bi"
#include "crt/stdio.bi"
#include "iup3/iup.bi"

Sub main()

	
  /' IUP handles '/
  Dim As Ihandle Ptr frame_left
  Dim As Ihandle Ptr frame_right
  Dim As Ihandle Ptr frame_center
  Dim As Ihandle Ptr dialog

  /' Initializes IUP '/
  IupOpen(NULL,NULL)
  
  /' Creates frame with left aligned button '/
  frame_left = IupFrame _
  ( _
    IupHbox _
    ( _
      IupButton( "Ok" , "" ), _
      IupFill(), _
      NULL _
    ) _
  )

  /' Sets frame's title '/
  IupSetAttribute( frame_left, "TITLE", "Left aligned" )

  /' Creates frame with centered button '/
  frame_center = IupFrame _
  ( _
    IupHbox _
    ( _
      IupFill (), _
      IupButton ( "Ok", "" ), _
      IupFill (), _
      NULL _
    ) _
  )

  /' Sets frame's title '/
  IupSetAttribute( frame_center, "TITLE", "Centered" )

  /' Creates frame with right aligned button '/
  frame_right = IupFrame _
  ( _
    IupHbox _
    ( _
      IupFill (), _
      IupButton ( "Ok", "" ), _
      NULL _
    ) _
  )

  /' Sets frame's title '/
  IupSetAttribute( frame_right, "TITLE", "Right aligned" )

  /' Creates dialog with these three frames '/
  dialog = IupDialog _
  ( _
    IupVbox _
    ( _
      frame_left, _
      frame_center, _
      frame_right, _
      NULL _
    ) _
  )

  /' Sets dialog's size and title '/
  IupSetAttribute( dialog, "SIZE","120")
	IupSetAttribute(dialog,	"TITLE","IupFill")

  IupShow( dialog )  /' Shows dialog in the center of the screen '/
  IupMainLoop()      /' Initializes IUP main loop '/
  IupClose()         /' Finishes IUP '/
	  
End Sub

main