/'* \file
 * \brief Contains all function pointer typedefs.
 *
 * See Copyright Notice in "iup.bi"
 '/
 
#ifndef __IUPCBS_BI
#define __IUPCBS_BI

Type IFidle As Function Cdecl  () As Integer  /' idle '/

Type IFn As Function Cdecl  (ByVal As Ihandle Ptr) As Integer  /' default definition, same as Icallback (ncols_cb, nlines_cb)'/
Type IFni As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer) As Integer   /' k_any, show_cb, toggle_action, spin_cb, branchopen_cb, branchclose_cb, executeleaf_cb, showrename_cb, rightclick_cb, extended_cb, height_cb, width_cb '/
Type IFnii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer) As Integer  /' resize_cb, caret_cb, matrix_mousemove_cb, enteritem_cb, leaveitem_cb, scrolltop_cb, dropcheck_cb, selection_cb, select_cb, switch_cb, scrolling_cb, vspan_cb, hspan_cb '/
Type IFniii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer) As Integer /' trayclick_cb, edition_cb '/
Type IFniiii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer) As Integer /' dragdrop_cb '/
Type IFniiiiii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer) As Integer  /' draw_cb '/

Type IFnff As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Single, ByVal As Single) As Integer    /' canvas_action '/
Type IFniff As Function Cdecl  (ByVal As Ihandle Ptr,ByVal As Integer,ByVal As Single,ByVal As Single) As Integer  /' scroll_cb '/
Type IFnfiis As Function Cdecl  (ByVal As Ihandle Ptr,ByVal As Single,ByVal As Integer,ByVal As Integer,ByVal As ZString Ptr) As Integer  /' wheel_cb '/

Type IFnnii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer) As Integer /' drop_cb '/
Type IFnnn As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Ihandle Ptr, ByVal As Ihandle Ptr) As Integer /' tabchange_cb '/
Type IFnss As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As ZString Ptr, ByVal As ZString Ptr) As Integer  /' file_cb '/
Type IFns As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As ZString Ptr) As Integer  /' multiselect_cb '/
Type IFnis As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As ZString Ptr) As Integer  /' text_action, multiline_action, edit_cb, renamenode_cb, rename_cb '/
Type IFnsii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As ZString Ptr, ByVal As Integer, ByVal As Integer) As Integer  /' list_action '/
Type IFnsiii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As ZString Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer) As Integer /' dropfiles_cb '/
Type IFniis As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As ZString Ptr) As Integer  /' motion_cb, click_cb, value_edit_cb '/
Type IFniiiis As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As ZString Ptr) As Integer  /' button_cb, matrix_action, mousemotion_cb '/
Type IFniiiiiis As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As Integer, ByVal As ZString Ptr) As Integer  /' mouseclick_cb '/

Type IFnIi As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer Ptr, ByVal As Integer) As Integer /' multiselection_cb, multiselection_cb '/
Type IFnd As Function Cdecl  (ByVal As Ihandle Ptr, double) As Integer  /' mousemove_cb, button_press_cb, button_release_cb '/
Type IFniiIII As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Integer Ptr, ByVal As Integer Ptr, ByVal As Integer Ptr) As Integer /' fgcolor_cb, bgcolor_cb '/
Type IFniinsii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer, ByVal As Ihandle Ptr, ByVal As ZString Ptr, ByVal As Integer, ByVal As Integer) As Integer /' dropselect_cb '/
Type IFnccc As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As UByte, ByVal As UByte, ByVal As UByte) As Integer /' drag_cb, change_cb '/

Type sIFnii As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer, ByVal As Integer) As ZString Ptr  /' value_cb '/
Type sIFni As Function Cdecl  (ByVal As Ihandle Ptr, ByVal As Integer) As ZString Ptr  /' cell_cb '/

#endif
