/' IupMenu: Example in FreeBASIC
   Creates a dialog with a menu and a shortcutkey (ctrl - x = quit program)
'/

#define NULL Cast(Any Ptr,0)

#include "iup3/iup.bi"


Function exit_cb cdecl () As Integer

  Return IUP_CLOSE

End Function

Function main_quit cdecl (ByVal ih As Ihandle Ptr, ByVal key As Integer, ByVal press As Integer) As Integer

	Return IUP_CLOSE
	
End Function


Sub main()

  Dim As Ihandle Ptr dlg, menu, item_save, item_open, item_undo, item_exit, file_menu
  Dim As Ihandle Ptr sub1_menu
	
  IupOpen(NULL,NULL)

  item_open = IupItem ("&Open", NULL)
  IupSetAttribute(item_open, "KEY", "O")

  item_save = IupItem ("&Save", NULL)
  IupSetAttribute(item_save, "KEY", "S")

  item_undo = IupItem ("&Undo", NULL)
  IupSetAttribute(item_undo, "KEY", "U")
  IupSetAttribute(item_undo, "ACTIVE", "NO")

  item_exit = IupItem ("E&xit   Ctrl - X", NULL)
  IupSetAttribute(item_exit, "KEY", "X")
  IupSetCallback(item_exit, "ACTION", Cast(Icallback,@exit_cb))

  file_menu = IupMenu(item_open, _
                      item_save, _
                      IupSeparator(), _
                      item_undo, _
                      item_exit, _
                      NULL)

  sub1_menu = IupSubmenu("&File", file_menu)

  menu = IupMenu(sub1_menu, NULL)
  IupSetHandle("mymenu", menu)
	Dim As Ihandle Ptr my_canvas = IupCanvas("")
  IupSetCallback(my_canvas, "K_cX",@main_quit)
	dlg = IupDialog(my_canvas)
  IupSetAttribute(dlg, "MENU", "mymenu")
  IupSetAttribute(dlg, "TITLE", "IupMenu")
	IupSetAttribute(dlg,"SIZE","640x200")	
  IupShow(dlg)
  IupMainLoop()
	IupClose()  
	
End Sub

main