/'IupRadio Example in FreeBASIC
Creates a dialog for the user to select his/her gender. 
In this case, the radio element is essential to prevent the user from selecting both options. '/

#define NULL Cast(Any Ptr,0)

#include "crt/stdio.bi"
#include "crt/stdlib.bi"
#include "crt/string.bi"

#include "iup3/iup.bi"


Sub main()

  Dim As Ihandle Ptr male, female, exclusive, frame, dialog

  IupOpen(NULL,NULL)

  male	= IupToggle ("&Male", "")
  female = IupToggle ("&Female", "")

  exclusive = IupRadio _
  ( _
    IupVbox _
    ( _
      male, _
      female, _
      NULL _
    ) _
  )
  IupSetHandle("male", male)
  IupSetHandle("female", female)
  IupSetAttribute(exclusive, "VALUE", "female")
  IupSetAttribute(exclusive, "TIP",   "Two state button - Exclusive - RADIO")

  frame = IupFrame _
  ( _
    exclusive _
  )
  IupSetAttribute (frame, "TITLE", "Gender")

  dialog = IupDialog _
  ( _
    IupHbox _
    ( _
      IupFill(), _
      frame, _
      IupFill(), _
      NULL _
    ) _
  )

  IupSetAttribute(dialog, "SIZE","140")
	IupSetAttribute(dialog, "TITLE","IupRadio")
	IupSetAttribute(dialog, "RESIZE","NO")
	IupSetAttribute(dialog, "MINBOX","NO")
	IupSetAttribute(dialog, "MAXBOX","NO")

  IupShow(dialog)
  IupMainLoop()
  IupClose()

  
 
End Sub

main()