/' IupTabs: Example in C 
   Creates a IupTabs control.
'/

#define NULL Cast(Any Ptr,0)

#include "crt/stdio.bi"
#include "crt/stdlib.bi"
#include "crt/string.bi"

#include "iup3/iup.bi"


Sub main()

	Dim As Ihandle Ptr dlg, vbox1, vbox2, tabs1, tabs2, box

  IupOpen(NULL,NULL)

  vbox1 = IupVbox(IupLabel("Inside Tab A"), IupButton("Button &A", ""), NULL)
  vbox2 = IupVbox(IupLabel("Inside Tab B"), IupButton("Button &B", ""), NULL)

  IupSetAttribute(vbox1, "TABTITLE", "Tab A")
  IupSetAttribute(vbox2, "TABTITLE", "Tab B")

  tabs1 = IupTabs(vbox1, vbox2, NULL)

  vbox1 = IupVbox(IupLabel("Inside Tab C"), IupButton("Button &C", ""), NULL)
  vbox2 = IupVbox(IupLabel("Inside Tab D"), IupButton("Button &D", ""), NULL)

  IupSetAttribute(vbox1, "TABTITLE", "Tab C")
  IupSetAttribute(vbox2, "TABTITLE", "Tab D")

  tabs2 = IupTabs(vbox1, vbox2, NULL)
  IupSetAttribute(tabs2, "TABTYPE", "LEFT")

  box = IupHbox(tabs1, tabs2, NULL)
  IupSetAttribute(box, "MARGIN", "10x10")
  IupSetAttribute(box, "GAP", "10")

  dlg = IupDialog(box)
  IupSetAttribute(dlg, "TITLE", "IupTabs")
  IupSetAttribute(dlg, "SIZE", "200x80")

  IupShowXY (dlg, IUP_CENTER, IUP_CENTER)
  IupMainLoop ()
  IupClose ()
  

End Sub

main()