/'* \file
 * \brief iupmask functions.
 *
 * See Copyright Notice in "iup.bi"
 '/
 
#ifndef __IUP_OLDMASK_BI
#define __IUP_OLDMASK_BI

Extern "C"

/' #pragma message("Warning: Using OLD iupMask definitions, use the MASK attribute in IupText or IupMatrix.")  '/

/' OLD definitions, use the MASK attribute in IupText or IupMatrix '/
Declare Function iupmaskSet     (ByVal h As Ihandle Ptr, ByVal mask As Const ZString Ptr, ByVal autofill As Integer, ByVal As Integer casei) As Integer
Declare Function iupmaskSetInt  (ByVal h As Ihandle Ptr, ByVal autofill As Integer, ByVal min As Integer , ByVal max As Integer) As Integer
Declare Function iupmaskSetFloat(ByVal h As Ihandle Ptr, ByVal autofill As Integer, ByVal min As Single, ByVal max As Single) As Integer
Declare Sub iupmaskRemove   (ByVal h As Ihandle Ptr)
Declare Function iupmaskCheck   (ByVal h As Ihandle Ptr) As Integer
Declare Function iupmaskGet      (ByVal h As Ihandle Ptr, ByVal val_ As ZString Ptr Ptr) As Integer
Declare Function iupmaskGetFloat (ByVal h As Ihandle Ptr, ByVal fval As Single Ptr) As Integer
Declare Function iupmaskGetDouble(ByVal h As Ihandle Ptr, ByVal dval As Double Ptr) As Integer
Declare Function iupmaskGetInt   (ByVal h As Ihandle Ptr, ByVal ival As Integer Ptr) As Integer
Declare Function iupmaskMatSet     (ByVal h As Ihandle Ptr, ByVal mask As Const ZString Ptr, _
																		ByVal autofill As Integer, ByVal As Integer casei, _
																		ByVal lin As Integer, ByVal col As Integer) As Integer
Declare Function iupmaskMatSetInt  (ByVal h As Ihandle Ptr, ByVal autofill As Integer, _
																		ByVal min As Integer, ByVal max As Integer, _
																		ByVal lin As Integer, ByVal col As Integer) As Integer
Declare Function iupmaskMatSetFloat(ByVal h As Ihandle Ptr, ByVal autofill As Integer, _
																		ByVal min As Single, ByVal max As Single, ByVal lin As Integer, _
																		ByVal col As Integer) As Integer
Declare Sub iupmaskMatRemove  (ByVal h As Ihandle Ptr, ByVal lin As Integer, ByVal col As Integer)
Declare Function iupmaskMatCheck   (ByVal h As Ihandle Ptr, ByVal lin As Integer, ByVal col As Integer) As Integer
Declare Function iupmaskMatGet      (ByVal h As Ihandle Ptr, ByVal val_ As ZString Ptr Ptr, _
																			ByVal lin As Integer, ByVal col As Integer) As Integer
Declare Function iupmaskMatGetFloat (ByVal h As Ihandle Ptr, ByVal fval As Single Ptr, _
																		ByVal lin As Integer, ByVal col As Integer) As Integer
Declare Function iupmaskMatGetDouble(ByVal h As Ihandle Ptr, ByVal dval As Double Ptr, _
																		ByVal lin As Integer, ByVal col As Integer) As Integer
Declare Function iupmaskMatGetInt   (ByVal h As Ihandle Ptr, ByVal ival As Integer Ptr, _
																			ByVal lin As Integer, ByVal col As Integer) As Integer


End Extern

#endif