/' IupMultiline: Simple Example in C 
   Shows a multiline that ignores the treatment of the DEL key, canceling its effect.
'/

#define NULL Cast(Any Ptr,0)
 
/' Includes ANSI C libraries '/
#include "crt/stdlib.bi"
#include "crt/stdio.bi"

/' Includes IUP libraries '/
#include "/iup3/iup.bi"
#include "/iup3/iupkey.bi"


Function mlaction cdecl (ByVal self As Ihandle Ptr, ByVal c As Integer, ByVal after As ZString Ptr) As Integer

	If (c = K_glc) Then
    Return IUP_IGNORE
  Else
		Return IUP_DEFAULT
	End If

End Function

Sub main()

  Dim As Ihandle Ptr dlg, ml

  IupOpen(NULL,NULL)

  ml = IupMultiLine(NULL)
  IupSetCallback(ml, "ACTION", Cast(Icallback,@mlaction))
  IupSetAttribute(ml, "EXPAND", "YES")
  IupSetAttribute(ml, "VALUE",  "I ignore the g-key!")
  IupSetAttribute(ml, "BORDER", "YES")

  dlg = IupDialog(ml)
  IupSetAttribute(dlg, "TITLE", "IupMultiline")
  IupSetAttribute(dlg, "SIZE",  "QUARTERxQUARTER")

  IupShow(dlg)
  IupMainLoop()
  IupClose()
	
  
End Sub

main